Summary: GNOME utility programs such as file search and calculator.
Name: gnome-utils
Version: 2.4.1
Epoch: 1
Release: 3mdk
License: LGPL
Group:  Graphical desktop/GNOME
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/gnome-utils/gnome-utils-%{version}.tar.bz2
Source10: gdict_48.png
Source11: gdict_32.png
Source12: gdict_16.png
Source13: gfloppy-48.png
Source14: gfloppy-32.png
Source15: gfloppy-16.png
Source22: gnome-searchtool-48.png
Source23: gnome-searchtool-32.png
Source24: gnome-searchtool-16.png
Source34: logview-48.png
Source35: logview-32.png
Source36: logview-16.png

Patch0: gnome-utils-2.0.5-pam.patch.bz2
# (fc) 2.4.1-2mdk fix error when using UTF8 chars in gdict (Mdk bug #7815) (CVS)
Patch1: gnome-utils-2.4.1-utf8gdict.patch.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
URL: http://www.gnome.org/softwaremap/projects/gnome-utils/

BuildRequires:  libpanel-applet-2-devel >= 2.0.0
BuildRequires:  libglade2.0-devel
BuildRequires:	ncurses-devel
BuildRequires:	pam-devel
BuildRequires:	usermode
BuildRequires:  scrollkeeper
#needed for gfloppy
BuildRequires:  e2fsprogs-devel

Requires: usermode 
Requires: scrollkeeper

Obsoletes:	gfloppy
Obsoletes:	gnome-admin
Provides: gfloppy
Provides: gnome-admin

%description
GNOME is the GNU Network Object Model Environment. This powerful
environment is both easy to use and easy to configure.

GNOME Utilities is a collection of small applications all there to make
your day just that little bit brighter - System Log Viewer, 
Search Tool, Dictionary, Floppy Format.

%prep
%setup -q
%patch0 -p1 -b .pam
%patch1 -p1 -b .utf8

%build

%configure2_5x --enable-console-helper --enable-gfloppy

%make

%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

%{find_lang} %{name}-2.0 --with-gnome --all-name

mkdir -p $RPM_BUILD_ROOT/%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT/%{_liconsdir}
mkdir -p $RPM_BUILD_ROOT/%{_miconsdir}
cp %{SOURCE10} $RPM_BUILD_ROOT/%{_liconsdir}/gdict.png
cp %{SOURCE11} $RPM_BUILD_ROOT/%{_iconsdir}/gdict.png
cp %{SOURCE12} $RPM_BUILD_ROOT/%{_miconsdir}/gdict.png
cp %{SOURCE13} $RPM_BUILD_ROOT/%{_liconsdir}/gfloppy.png
cp %{SOURCE14} $RPM_BUILD_ROOT/%{_iconsdir}/gfloppy.png
cp %{SOURCE15} $RPM_BUILD_ROOT/%{_miconsdir}/gfloppy.png
cp %{SOURCE22} $RPM_BUILD_ROOT/%{_liconsdir}/gnome-searchtool.png
cp %{SOURCE23} $RPM_BUILD_ROOT/%{_iconsdir}/gnome-searchtool.png
cp %{SOURCE24} $RPM_BUILD_ROOT/%{_miconsdir}/gnome-searchtool.png
cp %{SOURCE34} $RPM_BUILD_ROOT/%{_liconsdir}/logview.png
cp %{SOURCE35} $RPM_BUILD_ROOT/%{_iconsdir}/logview.png
cp %{SOURCE36} $RPM_BUILD_ROOT/%{_miconsdir}/logview.png

#
# Lots of menu entries
#
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
	needs="X11" \
	section="System/Configuration/Hardware" \
	title="Floppy Formatter" \
	longtitle="Format Floppy Disks" \
	command="%{_bindir}/gfloppy" \
	icon="gfloppy.png" \
	startup_notify="true"
?package(%{name}): \
	needs="X11" \
	section="System/File tools" \
	title="Search for Files" \
	longtitle="Search your disk for files" \
	command="%{_bindir}/gnome-search-tool"\
	icon="gnome-searchtool.png" \
	startup_notify="true"
?package(%{name}): \
	needs="X11" \
	section="System/Monitoring" \
	title="System Log" \
	longtitle="View the system log file" \
	command="%{_bindir}/gnome-system-log"\
	icon="logview.png" \
	startup_notify="true"
?package(%{name}): \
	needs="X11" \
	section="Office/Accessories" \
	title="GNOME Dictionary" \
	longtitle="Lookup words in an online dictionary" \
	command="%{_bindir}/gnome-dictionary"\
	icon="gdict.png" \
	startup_notify="true"
EOF

# create cache files
touch $RPM_BUILD_ROOT%{_datadir}/gnome/help/gfloppy/C/gfloppy.html \
$RPM_BUILD_ROOT%{_datadir}/gnome/help/gnome-dictionary/C/gnome-dictionary.html \
$RPM_BUILD_ROOT%{_datadir}/gnome/help/gnome-search-tool/C/gnome-search-tool.html \
$RPM_BUILD_ROOT%{_datadir}/gnome/help/gnome-system-log/C/gnome-system-log.html

%post
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
if [ -x %{_bindir}/yelp-pregenerate ]; then %{_bindir}/yelp-pregenerate /usr/share/gnome/help/gfloppy/C/gfloppy.xml /usr/share/gnome/help/gnome-dictionary/C/gnome-dictionary.xml /usr/share/gnome/help/gnome-search-tool/C/gnome-search-tool.xml /usr/share/gnome/help/gnome-system-log/C/gnome-system-log.xml > /dev/null || true ; fi
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
for SCHEMA in gdict ; do 
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$SCHEMA.schemas > /dev/null
done
%{update_menus}

%preun
if [ "$1" = "0" ]; then
 export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
 for SCHEMA in gdict ; do 
   gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/$SCHEMA.schemas > /dev/null
 done
fi

%postun
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-2.0.lang
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/*
%config(noreplace) %{_sysconfdir}/pam.d/*
%config(noreplace) %{_sysconfdir}/security/console.apps/*
%{_bindir}/*
%{_sbindir}/*
%{_libexecdir}/gdict-applet
%{_libdir}/bonobo/servers/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_datadir}/gnome-utils
%{_datadir}/gnome-system-log
%{_datadir}/gnome-2.0/ui/*
%{_datadir}/mime-info/*
%dir %{_datadir}/omf/gnome-utils
%{_datadir}/omf/gnome-utils/*-C.omf
%lang(de) %{_datadir}/omf/gnome-utils/*-de.omf
%lang(es) %{_datadir}/omf/gnome-utils/*-es.omf
%lang(fr) %{_datadir}/omf/gnome-utils/*-fr.omf
%lang(it) %{_datadir}/omf/gnome-utils/*-it.omf
%lang(ja) %{_datadir}/omf/gnome-utils/*-ja.omf
%lang(ko) %{_datadir}/omf/gnome-utils/*-ko.omf
%lang(sv) %{_datadir}/omf/gnome-utils/*-sv.omf
%lang(zh) %{_datadir}/omf/gnome-utils/*-zh*.omf
%{_menudir}/*
%{_mandir}/*/*
%{_liconsdir}/*.png
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%ghost %{_datadir}/gnome/help/*/*/*.html

%changelog
* Wed Feb 18 2004 David Baudens <baudens@mandrakesoft.com> 2.4.1-3mdk
- Fix menu

* Fri Feb 13 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.1-2mdk
- Patch1 (CVS): fix error when using UTF8 chars in gdict (Mdk bug #7815)

* Wed Nov  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.4.1-1mdk
- new version

* Mon Oct 20 2003 Frederic Lepied <flepied@mandrakesoft.com> 2.4.0-2mdk
- rebuild for rewriting /etc/pam.d file

* Mon Sep 08 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-1mdk
- Release 2.4.0

* Tue Sep 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.90-1mdk
- Release 2.3.90
- Fix BuildRequires

* Mon Aug 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1:2.3.4-2mdk
- Schemas are no longer config files

* Thu Aug  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1:2.3.4-1mdk
- Release 2.3.4
- Add lang tag to OMF files

* Fri Jul 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1:2.3.3-2mdk
- Rebuild with latest ORBit2

* Tue Jun 03 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.3-1mdk
- Release 2.3.3

* Tue May 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.1-1mdk
- Release 2.3.1

* Wed May  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1:2.3.0-2mdk
- Fix buildrequires

* Mon Apr 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com 2.3.0-1mdk
- Release 2.3.0

* Mon Jan 27 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1:2.2.0.3-1mdk
- Release 2.2.0.3
- Remove patch1 (merged upstream)

* Thu Jan 23 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1:2.2.0-2mdk
- Patch1 (Glynn): fix crash in gfloppy

* Tue Jan 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1:2.2.0-1mdk
- Release 2.20

* Thu Jan 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1:2.1.90-3mdk
- Fix broken menu entry

* Thu Jan 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1:2.1.90-2mdk
- Recompiled against latest openssl
- Add yelp cache generation

* Tue Jan  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1:2.1.90-1mdk
- Release 2.1.90

* Wed Dec 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1:2.1.5-1mdk
- Release 2.1.5

* Wed Dec 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1:2.1.4-3mdk
- Release 2.1.4

* Thu Nov 28 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1:2.1.3-3mdk
- Fix description again

* Wed Nov 27 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.3-2mdk
- Fix URL/description (Yura Gusev)

* Tue Nov 26 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.3-1mdk
- Release 2.1.3
- Fix menu entry (bug 221)

* Thu Oct 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1:2.0.5-1mdk
- Regenerate patch0
- Remove patches 1 & 2 (merged upstream)

* Thu Oct 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.5-1mdk
- Release 2.0.5

* Fri Aug 30 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-4mdk
- Patch2 (RH): fix calculator when numlock is on

* Thu Aug 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-3mdk
- Patch1: fix references to logview in gnome-system-log 

* Mon Aug 26 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-2mdk
- Fix menu entries
- Fix BuildRequires

* Tue Aug  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-1mdk
- Release 2.0.2

* Mon Jul 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-1mdk
- Release 2.0.1
- Disable gdialog (port not complete yet)

* Fri Jun 28 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-2mdk
- png icons
- Fix BuildRequires

* Mon Jun 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-1mdk
- Release 2.0.0

* Tue Jun 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.109.0-1mdk
- Release 1.109.0

* Mon Jun 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.108.0-1mdk
- Release 1.108.0

* Tue May 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.105.0-1mdk
- Release 1.105.0

* Tue May  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.0-1mdk
- Release 1.5.0 (which is greater than 1.104.0.. Grr, using Epoch)

* Mon Apr 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.104.0-1mdk
- Release 1.104.0

* Thu Apr 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.103.0-1mdk
- Release 1.103.0

* Wed Apr 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.2-1mdk
- Release 1.99.2 (GNOME 2)
- Regenerate patch0

* Sat Mar 02 2002 David BAUDENS <baudens@mandrakesoft.com> 1.4.1.2-3mdk
- Use boot_init_section.png for gshutdown's menu (so don't break E menu)

* Wed Feb 27 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.4.1.2-2mdk
- integrated Basque translations

* Mon Feb  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1.2-1mdk
- Release 1.4.1.2

* Tue Jan 15 2002 Stefan van der Eijk <stefan@eijk.nu> 1.4.1.1-5mdk
- BuildRequires usermode (consolehelper) Stefan sux
- Rebuild for libgal19

* Mon Jan 14 2002 Stefan van der Eijk <stefan@eijk.nu> 1.4.1.1-4mdk
- Fix BuildRequires

* Mon Dec  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1.1-3mdk
- Fix BuildRequires
- Recompiled against latest gtkhtml

* Mon Nov 12 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.4.1.1-2mdk
- recompiled with libgal18
- added provides gfloppy and gnome-admin
- config noreplace for pam files

* Tue Oct 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1.1-1mdk
- Release 1.4.1.1

* Sun Oct 21 2001 Stefan van der Eijk <stefan@eijk.nu> 1.4.0.2-6mdk
- BuildRequires: libxml-devel
- Remove redundant BuildRequires

* Tue Oct 16 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.4.0.2-5mdk
- rebuilt with libpng3

* Fri Sep 14 2001 Pablo Saratxaga <pablo@mandrakesoft.com>> 1.4.0.2-4mdk
- rebuild including latest translations

* Fri Sep 07 2001 Stefan van der Eijk <stefan@eijk.nu> 1.4.0.2-3mdk
- BuildRequires: flex

* Fri Jul 06 2001 Stefan van der Eijk <stefan@eijk.nu> 1.4.0.2-2mdk
- BuildRequires:      db1-devel
- BuildRequires:      gdk-pixbuf-devel
- Remove BuildRequires:       audiofile-devel
- Remove BuildRequires:       esound-devel
- Remove BuildRequires:       gnome-core
- Remove BuildRequires:       gnome-libs-devel
- Remove BuildRequires:       imlib-devel
- Remove BuildRequires:       libjpeg-devel
- Remove BuildRequires:       libpng-devel
- Remove BuildRequires:       libxml-devel
- Remove BuildRequires:       ORBit-devel
- Remove BuildRequires:       XFree86-devel
- Remove BuildRequires:       zlib-devel

* Tue Jul  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.2-1mdk
- Release 1.4.0.2
- Patch0: fix pam files

* Wed Jun 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.1-1mdk
- Release 1.4.0.1
- Remove patch 2 (merged upstream)

* Tue Jun 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-2mdk
- Correct menu entries

* Wed Mar 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-1mdk
- Release 1.4.0
- Add scrollkeeper files

* Wed Feb 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.1-1mdk
- Release 1.3.1
- Correct list of files

* Tue Sep 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.2.1-6mdk
- Pamstackizification.

* Fri Sep 22 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.2.1-5mdk
- console-helper and pam config instead of kdesu and added requirement 
  for usermode.

* Thu Sep 21 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.2.1-4mdk
- added kdesu to launch logview (and added requires)
- changed logview icon

* Tue Sep  5 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.2.1-3mdk
- added all menu entries and icons
- lang macros

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.2.1-2mdk
- automatically added BuildRequires

* Tue Jul 25 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-1mdk
- Release 1.2.1
- use more macros
- embed menu entry in specfile
- provide gfloppy and gnome-admin

* Fri Jul 21 2000 dam's <damien@mandrakesoft.com> 1.0.50-5mdk
- BM + macrozification.

* Thu May 04 2000 dam's <damien@mandrakesoft.com> 1.0.50-4mdk
- corrected menu entries.

* Sun Apr 23 2000 dam's <damien@mandrakesoft.com> 1.0.50-3mdk
- added menu entries

* Tue Apr 11 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.50-2mdk
- fix group

* Fri Nov 26 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 1.0.50

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Enable SMP check/build
- comment out some redhat stuff

* Fri Sep 24 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 1.0.13

* Fri Aug 06 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- cleaned %files
- changed Group:
- changed descriptions (calendar is nom on gnome-pim)

* Sun Aug 01 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 1.0.12
- remove Obsolete patch

* Fri Apr 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adpatations.

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries

* Sun Mar 14 1999 Michael Fulbright <drmike@redhat.com>
- removed gshutdown (confusing for newbies)

* Mon Feb 15 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.8

* Sat Feb 06 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.6

* Mon Jan 18 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.3

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.1

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- updated for GNOME freeze

* Wed Sep 23 1998 Michael Fulbright <msf@redhat.com>
- Upgraded to 0.30

* Mon Apr  6 1998 Marc Ewing <marc@redhat.com>
- Integrate into gnome-utils CVS source tree
